this.name				= "market_tweak.js";
this.author				= "Stranger";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for selecting market preset";
this.version				= "2.1";

this.startUp = function()
{
	//log(this.name, "this OXP initialising!");
}

this.shipExitedWitchspace = function()                      //Welcome to system!

    {
    if (system.isInterstellarSpace) return;
	if((system.techLevel + system.government) > 7)     //illegal goods prohibited in (tech OR social) advanced worlds
        {
        system.mainStation.setMarketQuantity("slaves", 0);
        system.mainStation.setMarketQuantity("narcotics", 0);
        system.mainStation.setMarketQuantity("firearms", 0); 
        }
        
    if(system.techLevel < 10)                               //Computers available only in high-tech worlds
        {
        system.mainStation.setMarketQuantity("computers", 0); 
        }
        
    if(system.techLevel < 7)                                //these items unavailable below median tech limit
        {
        system.mainStation.setMarketQuantity("medicine", 0);
        system.mainStation.setMarketQuantity("oxygen", 0);
        system.mainStation.setMarketQuantity("luxuries", 0);
        } 

    if(system.techLevel < 4)                                //these items unavailable in low-tech worlds
        {
        system.mainStation.setMarketQuantity("machinery", 0);
        system.mainStation.setMarketQuantity("alloys", 0);
        system.mainStation.setMarketQuantity("liquor_wines", 0);
        system.mainStation.setMarketQuantity("furs", 0);
        }        

	if(system.economy > 4)                                  //these items unavailable in agrarian worlds    
        {
        system.mainStation.setMarketQuantity("computers", 0);
        system.mainStation.setMarketQuantity("machinery", 0);
        system.mainStation.setMarketQuantity("alloys", 0);        
        }

	if(system.economy < 3)                                  //these items unavailable in industrial worlds 
        {
        system.mainStation.setMarketQuantity("food", 0);
        system.mainStation.setMarketQuantity("textiles", 0);               
        system.mainStation.setMarketQuantity("liquor_wines", 0);
        system.mainStation.setMarketQuantity("furs", 0);
        }

	if((system.economy > 2) && (system.techLevel > 3))       //these items available only in low tech OR industrial worlds    
        {
        system.mainStation.setMarketQuantity("minerals", 0);
        system.mainStation.setMarketQuantity("radioactives", 0);        
        }
    
    }

this.shipDockedWithStation = function(station)
    {
    if((system.techLevel + 2*system.government) > 12)     //slavery prohibited in (tech OR social) advanced worlds
        {
        station.setMarketQuantity("slaves", 0);
        }
    }

// End of script   